Post
Post Info
Description
This endpoint retrieves detailed information about a specific LinkedIn post, identified by its unique URN.
Endpoint
GET api/v1/realtime/social/linkedin/v1/post/{{urn}}/info
Parameters
urn
Yes
Path Param
String | The URN of the post.
Example Request
curl -X GET 'https://api.webit.live/api/v1/realtime/social/linkedin/v1/post/urn:li:activity:7163900181560725504/info' \
--header 'Authorization: Basic <credential string>'Example Response
{
"urn": "urn:li:activity:7163900181560725504",
"author": {
"type": "Member",
"first_name": "Strati",
"last_name": "Georgopoulos",
"occupation": "Entrepreneur & Executive Search Expert | Specializing in High-Impact Talent Acquisition | Transformative Leadership Consultant",
"image_url": "https://media.licdn.com/dms/image/v2/C4E03AQEZl6SLjt59EQ/profile-displayphoto-shrink_400_400/profile-displayphoto-shrink_400_400/0/1579638387331?e=1730332800&v=beta&t=CDpj6nTwc3b5ISAGnulvv7QyYWjJnKPctvrbVuJt-uI",
"background_image": null,
"public_identifier": "strati-georgopoulos",
"urn": "urn:li:fsd_profile:ACoAAAQALScBXtRMcf9z_sJvB_AQtaJBiv6CcjI",
"url": "https://www.linkedin.com/in/strati-georgopoulos"
},
"text": "Embracing humility is a powerful tool that can help us learn and grow in both our personal and professional lives. \n\nBy recognizing that everyone we meet has valuable lessons and perspectives to offer, we can unlock a wealth of knowledge and wisdom. \n\nSo, whether you're interacting with a colleague, a customer, or a stranger on the street, remember to approach each interaction with an open mind and a willingness to learn. You never know what valuable insights you might gain. \n\n#humility #personaldevelopment #professionaldevelopment",
"mentions": [],
"content": [
{
"type": "Image",
"image": "https://media.licdn.com/dms/image/v2/D4D22AQEFWrh3LLVV1A/feedshare-shrink_2048_1536/feedshare-shrink_2048_1536/0/1708006901274?e=1727308800&v=beta&t=HY6z0rWOR4aLIBN_hQ5WmsjjBT-Rwh6G9GWBWP7jsWI",
"text": ""
}
],
"created_at": "2024-03-11T00:00:00.000Z",
"url": "https://www.linkedin.com/feed/update/urn:li:activity:7163900181560725504/",
"shares": 1162,
"comments": 336,
"likes": 17110,
"reactions": [
{
"reaction_type": "LIKE",
"count": 15457
},
{
"reaction_type": "EMPATHY",
"count": 1165
},
{
"reaction_type": "APPRECIATION",
"count": 335
},
{
"reaction_type": "PRAISE",
"count": 117
},
{
"reaction_type": "INTEREST",
"count": 35
},
{
"reaction_type": "ENTERTAINMENT",
"count": 1
}
]
}Post Comments
Description
This endpoint retrieves comments on a specific LinkedIn post, identified by its unique URN.
Endpoint
GET api/v1/realtime/social/linkedin/v1/post/{{urn}}/comments
Parameters
urn
Yes
Path Param
String | The URN of the post.
Post Reactions
Description
This endpoint retrieves the reactions (likes, applauses, etc.) on a specific LinkedIn post, identified by its unique URN.
Endpoint
GET api/v1/realtime/social/linkedin/v1/post/{{urn}}/reactions
Parameters
urn
Yes
Path Param
String | The URN of the post.
reactionType
No
Query Param
String | One of: LIKE, EMPATHY, INTEREST, PRAISE, APPRECIATION, ENTERTAINMENT
cursor
No
Query Param
String | Used for paginate through results. Use the cursor returned from your previous request.
Post Shares
Description
This endpoint retrieves information about how many times a specific LinkedIn post has been shared, identified by its unique URN.
Endpoint
GET api/v1/realtime/social/linkedin/v1/post/{{urn}}/comments
Parameters
urn
Yes
Path Param
String | The URN of the post.
cursor
No
Query Param
String | Used for paginate through results. Use the cursor returned from your previous request.
Last updated